5.3.0-git
2014-10-23

[#4705] Support for password expiration in Samba authentication drivers
Summary Support for password expiration in Samba authentication drivers
Queue Horde Base
Queue Version HEAD
Type Enhancement
State Accepted
Priority 1. Low
Owners
Requester h35.office (at) bmlv (dot) gv (dot) at
Created 2006-11-28 (2886 days ago)
Due
Updated 2007-10-29 (2551 days ago)
Assigned
Resolved
Milestone
Patch No

History
2007-10-29 03:00:01 Chuck Hagenbuch Version ⇒ HEAD
 
2006-12-13 17:36:37 Jan Schneider Comment #5
State ⇒ Accepted
Summary ⇒ Support for password expiration in Samba authentication drivers
Reply to this comment
Any additional information, or even better patches, will speed up 
implemention.
2006-11-28 16:04:01 Jan Schneider Comment #4 Reply to this comment
Not to passwd (the horde application), but to a password changing dialog, yes.
2006-11-28 14:37:47 h35 (dot) office (at) bmlv (dot) gv (dot) at Comment #3 Reply to this comment
I'm using the smbauth module for Authentication. How can i perform a
password must change  (redirecting user to passwd) to change his
password?
You can't, this has not yet been implemented in the smb or smbclient drivers.
Ok,

When im using the ldap for Authentication. Would be the user 
redirected to the passwd side?
2006-11-28 13:25:37 Jan Schneider Comment #2
State ⇒ Feedback
Reply to this comment
I'm using the smbauth module for Authentication. How can i perform a
password must change  (redirecting user to passwd) to change his
password?
You can't, this has not yet been implemented in the smb or smbclient drivers.
2006-11-28 13:12:07 h35 (dot) office (at) bmlv (dot) gv (dot) at Comment #1
State ⇒ New
Queue ⇒ Horde Base
Summary ⇒ Password must change
Type ⇒ Enhancement
Priority ⇒ 1. Low
Reply to this comment
I'm using the smbauth module for Authentication. How can i perform a 
password must change  (redirecting user to passwd) to change his 
password?

Is that available in hooks??



At the moment the user cannot change their password because of 
"NT_STATUS_PASSWORD_MUST_CHANGE"



Thx